Skip to main content
GET
/
catchAll
/
webhooks
/
{webhook_id}
/
resources
List webhook resources
curl --request GET \
  --url https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}/resources \
  --header 'x-api-key: <api-key>'
import requests

url = "https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}/resources"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 1,
  "page": 1,
  "page_size": 100,
  "total_pages": 1,
  "resources": [
    {
      "id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
      "webhook_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "resource_type": "monitor",
      "resource_id": "3fec5b07-8786-46d7-9486-d43ff67eccd4",
      "assigned_at": "2026-05-18T10:00:00Z"
    }
  ]
}
{
"detail": "Invalid API key"
}
{
"detail": "Invalid API key"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Path Parameters

webhook_id
string<uuid>
required

Unique webhook identifier.

Query Parameters

resource_type
enum<string>

Resource types that can be assigned to a webhook.

Available options:
job,
monitor,
monitor_group
page
integer
default:1

Page number to retrieve.

Required range: x >= 1
page_size
integer
default:100

Number of assignments per page.

Required range: 1 <= x <= 500

Response

Webhook resource assignments retrieved successfully.

total
integer
required

Total number of resource mappings for this webhook.

Example:

2

page
integer
required

Current page number.

Example:

1

page_size
integer
required

Number of mappings per page.

Example:

100

total_pages
integer
required

Total number of pages available.

Example:

1

resources
object[]
required

Resource mappings on this page.